商品 · リクエスト · 下書き
この操作は廃止され、データを変更せずに409を返します。各デジタルファイルのアクセスは、対象者の選択で個別に設定してください。
PATCH
/api/v1/products/{product_id}/file-releases/{release_id}cURLリクエスト
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/products/example/file-releases/00000000-0000-4000-8000-000000000001 \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: files-example-update_draft_api_v1_products__product_id__file_releases__release_id__patch' \
--header 'Content-Type: application/json' \
--data-raw '{"expected_version":1,"version_ids":["00000000-0000-4000-8000-000000000001"],"version_label":"1.0"}'
レスポンス
{
"error": {
"code": "resource.state_conflict",
"fields": null,
"message": "The current resource state does not allow this operation."
},
"meta": {
"request_id": "example-request"
}
}